@font-face {
  font-family: "TooKool";
  src: url("../fonts/TooKool 10x.ttf"); }
@font-face {
  font-family: "LycheeSoda";
  src: url("../fonts/LycheeSoda.ttf"); }
:root {
  --font-size: 16px;
  --link-font-size: 16px;
  --font-weight: 500;
  --default-font-family: "Josefin Sans", sans-serif;
  --header-font-family: "LycheeSoda";
  --blockquote-font-size: 84%; }

body {
  --background-color: #fdf4ff;
  --background-color-gray: #ced3ce;
  --text-color: #181425;
  --text-color-gray: #3c3645;
  --link-color-hover: #f6757a;
  --game-thumb-shadow-color: #33334072;
  --blockquote-border-color: #30363d3d;
  --stroke-color: #3f3f44;
  --lightbox-background-color: rgba(0, 2, 7, 0.7); }

body.dark-mode {
  --background-color: #353535;
  --background-color-gray: #454545;
  --text-color: #dddcdc;
  --text-color-gray: #d4d4d4;
  --link-color-hover: #ffffff;
  --game-thumb-shadow-color: #11111172;
  --blockquote-border-color: #adb2be3d;
  --stroke-color: #f1f1f1;
  --lightbox-background-color: rgba(0, 2, 7, 0.6); }

body.dark-mode img {
  filter: brightness(0.95) contrast(1.05); }

html {
  background-color: var(--background-color); }

/* --- General --- */
path {
  stroke: var(--stroke-color); }

body {
  background-color: var(--background-color);
  color: var(--text-color);
  font-family: var(--default-font-family);
  font-optical-sizing: auto;
  font-style: normal;
  font-weight: var(--font-weight);
  text-align: center;
  margin: 0;
  padding: 0; }

img {
  border-radius: 4px; }

hr {
  color: var(--background-color-gray);
  margin-top: 1rem; }

div {
  transition-duration: 0.1s; }

img + em, video + em {
  text-align: center;
  display: block;
  font-size: medium; }

h1, h2, h3, h4 {
  color: var(--text-color-gray);
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: never;
  font-weight: var(--font-weight);
  font-family: var(--header-font-family); }

a {
  font-weight: semibold;
  color: var(--text-color);
  font-size: var(--link-font-size); }

a:hover {
  color: var(--link-color-hover); }

blockquote {
  border-left: 0.25em solid var(--blockquote-border-color);
  margin: 1.5em 10px;
  padding: 0.01em 10px;
  color: var(--text-color-gray);
  font-size: var(--blockquote-font-size); }

blockquote p {
  margin: 0.4em 0; }

hr {
  color: var(--blockquote-border-color); }

/* --- Utilities/Common Custom Classes --- */
.unimportant {
  opacity: 0.8; }

.pixel-font {
  font-size: var(--link-font-size); }

.navigation {
  z-index: 1;
  position: fixed;
  top: 0%;
  background-color: var(--background-color);
  width: 100%;
  display: flex;
  height: 4em;
  margin-bottom: 0.5em;
  padding-left: 1em;
  align-items: center; }
  .navigation ~ div {
    padding-top: 4em; }

.navigation a {
  padding-right: 6px; }

.navigation a:hover {
  color: var(--text-color);
  opacity: 1.0; }

.excerpt {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  margin-bottom: 0.5lh;
  margin-top: 0; }

.float-right {
  float: right;
  text-align: right;
  display: block;
  overflow: hidden;
  clear: both;
  padding-left: 1em; }

.center-block {
  text-align: center;
  display: block; }

.pixelated {
  image-rendering: pixelated; }

.non-current {
  color: var(--text-color-gray);
  opacity: 0.9; }

.non-current svg path {
  stroke: var(--text-color-gray); }

.game-thumb {
  border-radius: 3px;
  box-sizing: border-box;
  overflow: hidden;
  opacity: 0.9;
  box-shadow: 4px 4px 0px var(--game-thumb-shadow-color) !important;
  margin: 0;
  height: 200px; }

.game-thumb:hover {
  opacity: 1.0;
  transform: translateY(-0.5rem);
  box-shadow: 4px 0.5rem 0px var(--game-thumb-shadow-color) !important; }

.game-link {
  display: block;
  text-decoration: none;
  margin: 0; }

.game-link img {
  height: auto; }

.page-content {
  margin: auto; }

.subpage-content {
  padding-top: 4em;
  max-width: 40rem;
  display: block;
  margin-left: auto;
  margin-right: auto;
  align-self: center;
  padding-left: 1rem;
  padding-right: 1rem;
  transition-duration: 0.1s;
  text-align: justify;
  margin-bottom: 4rem; }

.box {
  background-color: var(--background-color-gray);
  padding: 1rem;
  padding-top: 0.5rem;
  margin-bottom: 1rem;
  display: block;
  flex: auto;
  border-radius: 4px; }

.task-list {
  list-style: none; }

.task-list-item-checkbox {
  margin-right: 8px; }

dl {
  border: 3px solid var(--background-color-gray);
  padding: 0.5em; }

dt {
  float: left;
  clear: left;
  width: 100px;
  text-align: right;
  font-weight: bold; }

dt::after {
  content: ":"; }

dd {
  margin: 0 0 0 110px; }

.footnotes ol {
  padding-left: 1lh; }

.footnotes li p {
  margin: 0.5em; }

/* --- Home --- */
.game-grid {
  display: flex;
  overflow: scroll;
  overflow-y: visible;
  min-height: 225px;
  max-width: 800px;
  gap: 20px;
  grid-template-columns: auto auto auto;
  padding-top: 1em; }
  .game-grid .game-thumb {
    min-width: fit-content; }

@media screen and (min-width: 860px) {
  .logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }

  .circle-container {
    pointer-events: none;
    margin-top: 0;
    width: calc(var(--radius) * 2);
    height: calc(var(--radius) * 2);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }
    .circle-container .item {
      pointer-events: all;
      position: absolute;
      top: 50%;
      left: 50%;
      /* This is where the magic happens */
      --angle: calc(360deg / var(--total) * var(--i));
      transform: rotate(var(--angle)) translateX(var(--radius)) rotate(calc(-1 * var(--angle))) translate(-50%, -50%);
      /* Rotate back */ } }
.item, .blob-image {
  display: grid; }
  .item img, .blob-image img {
    margin: auto;
    transition: 0.2s;
    grid-column: 1;
    grid-row: 1; }

img {
  transition: 0.2s;
  grid-column: 1;
  grid-row: 1; }

.item img:hover {
  transform: translateY(-0.5rem); }

.navigation img {
  transition: 0.1s; }

.navigation img:hover {
  transform: translateX(-0.25rem); }

.logo a {
  width: 100%;
  height: 100%;
  display: inline-block;
  z-index: 1; }

@media screen and (max-width: 860px) {
  .item {
    width: auto;
    min-width: 200px;
    min-height: 200px;
    align-content: center;
    aspect-ratio: 1 / 1; }

  .circle-container {
    display: grid;
    width: 400px;
    margin: 0 auto;
    grid-template-columns: 200px 200px; }

  .logo {
    margin-top: 2em;
    margin-bottom: 4em; } }
.header {
  align-self: center;
  margin: auto;
  text-align: center;
  width: fit-content; }

.header svg {
  max-width: 100%;
  max-height: 1024px;
  width: auto;
  height: auto;
  margin: 0 auto;
  display: inline-block; }

.bottom-bar {
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: var(--background-color); }

.homepage-blog-list {
  text-align: left;
  margin: auto;
  padding: 0;
  width: min(35rem, 90%);
  list-style-type: none; }

#dark-mode-button {
  z-index: 1;
  opacity: 1;
  position: absolute;
  right: 16px;
  transform: translateY(-50%);
  opacity: 0;
  width: 32px; }

#dark-mode-button:hover {
  cursor: pointer; }

#dark-mode-button + label {
  position: absolute;
  right: 16px;
  transform: translateY(-50%); }

.dark-mode-checkbox-icon {
  position: absolute;
  right: 0;
  transform: translateY(-50%); }

#dark-mode-button:hover + label svg path {
  stroke: var(--link-color-hover); }

#dark-mode-button:checked + label .sun {
  opacity: 1; }

#dark-mode-button + label .sun {
  opacity: 0; }

#dark-mode-button:checked + label .moon {
  opacity: 0; }

/* --- Blog Page --- */
.blog {
  text-align: center;
  padding-bottom: 5lh; }

.blog h1, h2 {
  margin-bottom: 0.05lh; }

.blog-list {
  width: min(35rem, 90%);
  display: block;
  text-align: left;
  margin: auto;
  padding: 0; }

.blog-list li {
  display: flex;
  gap: 1rem;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 0.25em; }

.blog-list .post-date, .homepage-blog-list .post-date {
  flex-shrink: 0;
  font-size: small; }

.pinned-list {
  list-style: none;
  align-items: center; }

.pinned-list li {
  position: relative;
  margin: auto;
  padding-left: 32px; }

.pinned-list h3 {
  margin: 0;
  padding: 0;
  display: inline-block;
  text-decoration: underline; }

.pinned-list .post-date {
  display: none; }

.pinned-list li svg {
  position: absolute;
  left: 0;
  margin: 0; }

.pinned-list li {
  padding-bottom: 0.5rem; }

.tag-list-link {
  padding: 0.2em; }

/* --- Posts --- */
.back-button {
  padding-top: 1rem;
  display: inline-block; }

.beside-text {
  display: block;
  float: left;
  max-height: 20rem;
  min-width: 10rem;
  padding-right: 1em; }

.text-and-image {
  display: flex; }

.post-header {
  margin-bottom: 0.6lh; }

.post-info {
  opacity: 0.75;
  padding: 0;
  margin: 0;
  font-size: small; }

.post-content img, .post-content video {
  max-width: min(40rem, 100%);
  height: auto;
  display: block;
  margin-left: auto;
  margin-right: auto; }

.post-content .game-thumb img {
  width: 100%; }

.post-content .game-thumb {
  width: min(400px, 100%);
  height: auto;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1rem; }

.comment-container {
  display: flex;
  position: relative; }

.avatar {
  width: 2.5rem;
  display: none; }

.user {
  display: block;
  height: 40px;
  position: absolute;
  left: -55px; }

.author {
  margin: 0;
  display: inline-block;
  padding: 0;
  text-decoration: none; }

.author:hover {
  text-decoration: underline; }

.comment-url {
  line-height: 1px;
  font-size: 0.7rem; }

.comment-content {
  text-decoration: none;
  font-size: calc(var(--font-size) * 0.9); }

#gh-comments-list {
  list-style: none;
  list-style-type: none;
  padding-left: 0; }

#no-comments-found, #cant-comment {
  display: none; }

.comment-date {
  float: right; }

.comment-indicator path {
  stroke: var(--background-color-gray); }

.comment-indicator {
  display: none; }

@media only screen and (min-width: 748px) {
  .comment-indicator {
    display: block;
    position: absolute;
    left: -16px;
    top: 10px; }

  .avatar {
    display: block; } }
.gallery-grid {
  max-width: 60rem;
  margin: auto;
  columns: 3;
  gap: 0.3em;
  padding: 1em; }

@media only screen and (max-width: 40rem) and (min-width: 30rem) {
  .gallery-grid {
    columns: 2; } }
@media only screen and (max-width: 30rem) {
  .gallery-grid {
    columns: 1; } }
.gallery-grid > * {
  break-inside: avoid;
  width: 100%;
  height: auto; }
  .gallery-grid > * img {
    width: 100%; }

.photo {
  position: relative;
  overflow: hidden;
  cursor: pointer; }

.photo-description {
  background-color: #111114;
  padding: 4px;
  color: #fbfffb;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: all 0.1s ease;
  font-size: medium;
  width: 80%; }

.photo:hover > .photo-description {
  opacity: 0.8;
  transform: translate(-50%, -120%); }

.photo-description a {
  color: #fbfffb;
  font-family: var(--default-font-family);
  font-size: var(--default-font-size);
  text-decoration: none;
  word-spacing: 0lh; }

.photo-description a:hover {
  text-decoration: underline; }

#lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  background-color: var(--lightbox-background-color);
  opacity: 0;
  transition: all 0.2s ease; }

#lightbox.active {
  opacity: 1;
  height: 100%;
  pointer-events: all; }

#lightbox-image {
  max-width: 80%;
  max-height: 80%; }
